"""Module with persistent DetrendHCIBase classes."""

from typing import Tuple, Optional

from micado.dataitems.DetrendBase import DetrendBase


class DetrendHCIBaseExtra(DetrendBase):
    """A DetrendHCIBase DataItem."""

    @classmethod
    def layers_number(cls) -> Tuple[Optional[int], Optional[int]]:
        """Minimum/maximum number of detectors for each layer.

        HCI is done with only the central detector.
        """
        return 1, 1
