"""Module with persistent SkyHCI classes."""

from typing import Tuple, Optional

from micado.main.Sky import Sky


class SkyHCIExtra(Sky):
    """A SkyHCI DataItem."""

    @classmethod
    def layers_number(cls) -> Tuple[Optional[int], Optional[int]]:
        """Minimum/maximum number of detectors for each layer.

        HCI is done with only the central detector.
        """
        return 1, 1
